<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('rtm', function(Blueprint $table)
		{
			$table->id();
			$table->integer('site_id')->unsigned();

			$table->string('name',64)->unique();
			$table->integer('account_id')->unsigned();

			$table->foreign(['site_id'])->references(['id'])->on('sites');

			$table->unique(['id','site_id']);
			$table->integer('parent_id')->unsigned()->nullable();
			$table->foreign(['parent_id','site_id'])->references(['id','site_id'])->on('rtm');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('rtm');
	}
};